package org.dromara.settlement.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;
import org.checkerframework.checker.units.qual.K;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.settlement.api.domain.AccountSyn;


public interface AccountSynMapper extends BaseMapperPlus<AccountSyn, Integer> {
	/**
	 * 锁定同步的账户
	 * @author 张涛
	 * @date 2021年9月6日
	 * @param id 账户id
	 * @return
	 */
	public Integer lock(@Param("id") int id);


    public AccountSyn selectByPrimaryKey(Integer id);

    int insertSelective(AccountSyn record);

    int updateByPrimaryKeySelective(AccountSyn record);
}
